Index: /code/branches/presentation3/data/levels/Quest_PirateAttack.oxw
===================================================================
--- /code/branches/presentation3/data/levels/Quest_PirateAttack.oxw	(revision 7088)
+++ /code/branches/presentation3/data/levels/Quest_PirateAttack.oxw	(revision 7089)
@@ -21,14 +21,14 @@
 
 <NotificationQueue
-	 name     = "notification"
-	 position = "0.40, 0.05"
-	 font     = "VeraMono"
-	 textsize = 0.020
-	 length   = 3
-	 width    = 50
+     name     = "notification"
+     position = "0.40, 0.05"
+     font     = "VeraMono"
+     textsize = 0.020
+     length   = 3
+     width    = 50
 />
-	
-	
-	
+    
+    
+    
 <Level
 name="Dani's Testlevel"
@@ -45,251 +45,251 @@
         skybox       = "Orxonox/skypanoramagen1"
     >
-	      <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-	      
-	      
-	      <GlobalQuest id="dbd02b4c-ab7c-46fd-bdaf-fd4c19ac1551">
-		<QuestDescription title="Fight for freedom" 
-					description="Just a few hours ago, a group of pirates attacked an killed all your  squad members. Now you are very angry and you want to take revenge. Find the pirates and kill them!"
-					failmessage="You are a loser, now the whole universe will be controlled by the pirates!" 
-					completeMessage="Yeah, you did it! You,ve eliminated the enemies. But why attacked them the Humans here? For tousands of years, there was peace in this sun system.
-								You have to find out what happened exactly and why the pirates attacked..."/>
-			<subquests>
-				<GlobalQuest id="3159b4d4-bc86-4190-ba1d-4530668dfe31">
-					<QuestDescription title="The stolen stick..." 
-					description="Now you can see it: There are more pirates... the pirates you killed were only a small part of the whole fleet. You recieved a message from your Headquarter: The pirates have stolen
-							a very important memory stick with secret infos (military locations etc.), the holy stick. You must get it back! Otherwise the humans are in great danger..." 
-					failmessage="" 
-					completeMessage="Unbelievable, you annihilated all pirates and got the stolen memory stick. 
-								But wait... this isn't the memory stick you looked for, this stick is one from a pirate... anyway, it's helpful: There is a map saved on it, which leads you to a pirate - base. Perhaps you'll find more 
-								about their plans there..."/>
-				</GlobalQuest>
-				<GlobalQuest id="8d8ed3a6-74a6-4491-9172-26155cff151d">
-					<QuestDescription title="Find the Base"
-					description="Now you are in possession of the map and it should be easy to find the base. Because you are a Member of an elite-fight-squad, your ship has been pimped before you started your mission.
-						They installed a very modern navigation system, which leads you precisely to your desired destination. Use it to find the pirate - base."
-					failmessage=""
-					completeMessage="The navigation system worked very well and now you should be near a pirate -base." />
-					<hints>
-						<QuestHint id="965101b3-26ce-4fcf-bc71-17cc2a87d2e9">
-						<QuestDescription title="3 Ways?" 
-						description="The different ways leads you to the possible positions where the base could be. The problem is that the map is encrypted and your on board system is not 
-								able to decrypt it exactly. Therefore you have to try 3 possible ways...Tha base is Huge, but it could be that it's invisible when ou are in longer distance (some Big Ships
-								have a special shield aroud them which make them invisible at longer range)."/>
-						</QuestHint>
-					</hints>
-				</GlobalQuest>
-				<GlobalQuest  id="9930a598-98bc-4ff8-8cc0-31311a6ccaaa">
-					<QuestDescription title=":(" description="Here isn't the base you look for... try another way."/>
-				</GlobalQuest>
-				<GlobalQuest id="9930a598-98bc-4ff8-8cc0-31311a6ccaab">
-					<QuestDescription title=":(" description="Here isn't the base you look for... try another way."/>
-				</GlobalQuest>
-				<GlobalQuest id="8a62408b-c47b-4e02-bd3d-06bb9ec0b363">
-					<QuestDescription title="The Base" 
-					description="Yeah, you found the Base... now let's check if there is the important holy stick..." 
-					failmessage="" 
-					completeMessage="There it is, the Holy stick. Yes, you're right. It looks like a rocket because there are so many rockets in the universe, that it's nearly impossible to find the holy stick between them.
-								Anyway, the pirates found the stick... another part which is confusing. Why did they know where the holy stick is? Perpaps they know more about the humans than you think."/>
-				</GlobalQuest>
-				<GlobalQuest id="85380d05-b791-45d1-82e9-01f0bc930367">
-					<QuestDescription title="Find out more about the pirates" 
-					description= "Now, the Holy stick is back in your possession. Your new mission is to get some more infos about the pirates. You've got an info about a near mining company
-					which delivers Hydrogen out of special asteroids. Hydrogen is a very rare ressource on earth and is delivered by a few great mining companys. There is no oil anymore on earth since many years.
-					Therefore hydrogen became the most important energy source for all humans.
-					But back to your mission. The mining company has it's own security. Ask some of their security staff if they know more about the pirates... it's actually your only hope to get more infos. 
-					You'll find the mining company at the near planet with the asteroid belt."
-					failmessage="" 
-					completeMessage=""/>
-				</GlobalQuest>
-				<GlobalQuest id="d8afe2eb-b3b9-4c98-8ed7-cc1a2a8e3734">
-					<QuestDescription title="Interesting..." 
-					description= "You're very lucky. The first security man has interesting infos about the pirates. He said that they made a few attacks in de last few weeks and they intensified the attacks in the last days...
-					Shit, they attack one more time. Fight them back!"
-					failmessage="" 
-					completeMessage=""/>
-				</GlobalQuest>
-			</subquests>
-			<hints>
-				<QuestHint id="2b85f32c-2433-4f1a-bdd4-f24d20c9403c">
-					<QuestDescription title="Useful to know" description="Pirates like to hide themselves behind asteroids."/>
-				</QuestHint>
-			</hints>
-			<fail-effects>
-			</fail-effects>
-			<complete-effects>
-			</complete-effects>
-		</GlobalQuest>
-		
-	      <ParticleSpawner position="0,0,0" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
-		  <events>
-		    <spawn>
-		      <EventTrigger delay=1>
-			<events>
-			  <trigger>
-			    <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassffplayer name=spawnpoint1 team=0 active=true/>
-			  </trigger>
-			</events>
-		      </EventTrigger>
-		    </spawn>
-		  </events>
-		  <attached>
-		    <QuestEffectBeacon position="0,0,0" times=1>
-			<effects>
-			    <AddQuest questId="dbd02b4c-ab7c-46fd-bdaf-fd4c19ac1551" />
-			</effects>
-			<events>
-			    <execute>
-				<EventListener event=questbeacon1 />
-			    </execute>
-			</events>
-			<attached>
-			    <DistanceTrigger name=questbeacon1 position="0,0,0" distance=100 target=DistanceTriggerBeacon targetname=Me/>
-			</attached>
-		    </QuestEffectBeacon>
-		  </attached>
-		</ParticleSpawner>
-		
-		<SpawnPoint position="600,300,-6000" spawnclass=SpaceShip pawndesign=spaceshipassffplayer name=spawnpoint2 active=false/>
-		
-		
-		
-		<!-- Add second Quest-->
-		<QuestEffectBeacon position="250,-300,-1500" times=1>
-					<attached>
-						<Billboard position="0,0,0" scale=3 colour="1.0,1.0,0" material="Examples/Flare" />
-						<DistanceTrigger name=questbeacon2 targetname=Me position="0,0,0" target=DistanceTriggerBeacon distance=400 />
-					</attached>
-					<effects>
-						<AddQuest questId="3159b4d4-bc86-4190-ba1d-4530668dfe31" />
-					</effects>
-					<events>
-						<execute>
-							<EventListener event=questbeacon2 />
-						</execute>
-					</events>
-			    </QuestEffectBeacon>
-			    
-		<!-- Hint to first Quest-->
-		<QuestEffectBeacon position="0,0,0" times=1>
-					<attached>
-						<DistanceTrigger name=questbeacon3  position="0,0,0" distance=300 target=DistanceTriggerBeacon targetname=Me delay="5" />
-					</attached>
-					<effects>
-						<AddQuestHint hintId="2b85f32c-2433-4f1a-bdd4-f24d20c9403c" />
-					</effects>
-					<events>
-						<execute>
-							<EventListener event=questbeacon3 />
-						</execute>
-					</events>
-			    </QuestEffectBeacon>	
-			    
-			    
-		<!--Pirates killed... navi leads you to possible Base stations-->
-		<QuestEffectBeacon position="600,300,-6000" times=1>
-					<attached>
-						<Billboard position="0,0,0" scale=3 colour="0,1.0,0" material="Examples/Flare" />
-						<DistanceTrigger name=questbeacon4  position="0,0,0" distance=200 target=DistanceTriggerBeacon targetname=Me />
-					</attached>
-		
-					<effects>
-						<CompleteQuest questId="3159b4d4-bc86-4190-ba1d-4530668dfe31" />
-						<AddQuest questId="8d8ed3a6-74a6-4491-9172-26155cff151d" />
-						<AddQuestHint hintId="965101b3-26ce-4fcf-bc71-17cc2a87d2e9" />
-					</effects>
-					<events>
-						<execute>
-							<EventListener event=questbeacon4 />
-						</execute>
-					</events>
-			    </QuestEffectBeacon>
-			    
-			    
-		<!-- Wrong way 1-->
-		<QuestEffectBeacon position="7600,300,-8000" times=1>
-					<attached>
-						<DistanceTrigger name=questbeacon5  position="0,0,0" distance=300 target=DistanceTriggerBeacon targetname=Me />
-					</attached>
-					<effects>
-						<AddQuest questId="9930a598-98bc-4ff8-8cc0-31311a6ccaaa" />
-					</effects>
-					<events>
-						<execute>
-							<EventListener event=questbeacon5 />
-						</execute>
-					</events>
-			    </QuestEffectBeacon>
-			    
-		<!-- Wrong way 2-->
-		<QuestEffectBeacon position="1600,2300,-10000" times=1>
-					<attached>
-						<DistanceTrigger name=questbeacon8  position="0,0,0" distance=300 target=DistanceTriggerBeacon targetname=Me />
-					</attached>
-					<effects>
-						<AddQuest questId="9930a598-98bc-4ff8-8cc0-31311a6ccaab" />
-					</effects>
-					<events>
-						<execute>
-							<EventListener event=questbeacon8 />
-						</execute>
-					</events>
-			    </QuestEffectBeacon>			    
-			    
-		<!-- Base found!-->
-		<QuestEffectBeacon position="4600,5300,-11000" times=1>
-					<attached>
-						<DistanceTrigger name=questbeacon6  position="0,0,0" distance=600 target=DistanceTriggerBeacon targetname=Me />
-					</attached>
-					<effects>
-						<CompleteQuest questId="8d8ed3a6-74a6-4491-9172-26155cff151d" />
-						<AddQuest questId="8a62408b-c47b-4e02-bd3d-06bb9ec0b363" />
-						<CompleteQuest questId="9930a598-98bc-4ff8-8cc0-31311a6ccaaa" />
-						<CompleteQuest questId="9930a598-98bc-4ff8-8cc0-31311a6ccaab" />
-						
-					</effects>
-					<events>
-						<execute>
-							<EventListener event=questbeacon6 />
-						</execute>
-					</events>
-			    </QuestEffectBeacon>
-		<!--Stick found-->
-		<QuestEffectBeacon position="4800,5785,-10725" times=1>
-					<attached>
-						<DistanceTrigger name=questbeacon7  position="0,0,0" distance=30 target=DistanceTriggerBeacon targetname=Me />
-					</attached>
-					<effects>
-						<CompleteQuest questId="8a62408b-c47b-4e02-bd3d-06bb9ec0b363" />
-						<AddQuest questId="85380d05-b791-45d1-82e9-01f0bc930367" />
-						
-					</effects>
-					<events>
-						<execute>
-							<EventListener event=questbeacon7 />
-						</execute>
-					</events>
-			    </QuestEffectBeacon>
-			    
-			    
-		<!--Security Man found-->	    
-		<QuestEffectBeacon position="4000,4000,-20000" times=1>
-					<attached>
-						<Billboard position="0,0,0" scale=3 colour="0,0,1.0" material="Examples/Flare" />
-						<DistanceTrigger name=questbeacon9 position="0,0,0" distance=500 target=DistanceTriggerBeacon targetname=Me />
-					</attached>
-					<effects>
-						<CompleteQuest questId="85380d05-b791-45d1-82e9-01f0bc930367" />
-						<AddQuest questId="d8afe2eb-b3b9-4c98-8ed7-cc1a2a8e3734" />
-						
-					</effects>
-					<events>
-						<execute>
-							<EventListener event=questbeacon9 />
-						</execute>
-					</events>
-		</QuestEffectBeacon>
-			    
-	<!--Navigation System which shows possiple positions of base-->			    
-	<EventDispatcher>
+          <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+    
+    
+          <GlobalQuest id="dbd02b4c-ab7c-46fd-bdaf-fd4c19ac1551">
+        <QuestDescription title="Fight for freedom"
+                    description="Just a few hours ago, a group of pirates attacked an killed all your  squad members. Now you are very angry and you want to take revenge. Find the pirates and kill them!"
+                    failmessage="You are a loser, now the whole universe will be controlled by the pirates!"
+                    completeMessage="Yeah, you did it! You,ve eliminated the enemies. But why attacked them the Humans here? For tousands of years, there was peace in this sun system.
+                                You have to find out what happened exactly and why the pirates attacked..."/>
+            <subquests>
+                <GlobalQuest id="3159b4d4-bc86-4190-ba1d-4530668dfe31">
+                    <QuestDescription title="The stolen stick..."
+                    description="Now you can see it: There are more pirates... the pirates you killed were only a small part of the whole fleet. You recieved a message from your Headquarter: The pirates have stolen
+                            a very important memory stick with secret infos (military locations etc.), the holy stick. You must get it back! Otherwise the humans are in great danger..."
+                    failmessage=""
+                    completeMessage="Unbelievable, you annihilated all pirates and got the stolen memory stick.
+                                But wait... this isn't the memory stick you looked for, this stick is one from a pirate... anyway, it's helpful: There is a map saved on it, which leads you to a pirate - base. Perhaps you'll find more
+                                about their plans there..."/>
+                </GlobalQuest>
+                <GlobalQuest id="8d8ed3a6-74a6-4491-9172-26155cff151d">
+                    <QuestDescription title="Find the Base"
+                    description="Now you are in possession of the map and it should be easy to find the base. Because you are a Member of an elite-fight-squad, your ship has been pimped before you started your mission.
+                        They installed a very modern navigation system, which leads you precisely to your desired destination. Use it to find the pirate - base."
+                    failmessage=""
+                    completeMessage="The navigation system worked very well and now you should be near a pirate -base." />
+                    <hints>
+                        <QuestHint id="965101b3-26ce-4fcf-bc71-17cc2a87d2e9">
+                        <QuestDescription title="3 Ways?"
+                        description="The different ways leads you to the possible positions where the base could be. The problem is that the map is encrypted and your on board system is not
+                                able to decrypt it exactly. Therefore you have to try 3 possible ways...Tha base is Huge, but it could be that it's invisible when ou are in longer distance (some Big Ships
+                                have a special shield aroud them which make them invisible at longer range)."/>
+                        </QuestHint>
+                    </hints>
+                </GlobalQuest>
+                <GlobalQuest  id="9930a598-98bc-4ff8-8cc0-31311a6ccaaa">
+                    <QuestDescription title=":(" description="Here isn't the base you look for... try another way."/>
+                </GlobalQuest>
+                <GlobalQuest id="9930a598-98bc-4ff8-8cc0-31311a6ccaab">
+                    <QuestDescription title=":(" description="Here isn't the base you look for... try another way."/>
+                </GlobalQuest>
+                <GlobalQuest id="8a62408b-c47b-4e02-bd3d-06bb9ec0b363">
+                    <QuestDescription title="The Base"
+                    description="Yeah, you found the Base... now let's check if there is the important holy stick..."
+                    failmessage=""
+                    completeMessage="There it is, the Holy stick. Yes, you're right. It looks like a rocket because there are so many rockets in the universe, that it's nearly impossible to find the holy stick between them.
+                                Anyway, the pirates found the stick... another part which is confusing. Why did they know where the holy stick is? Perpaps they know more about the humans than you think."/>
+                </GlobalQuest>
+                <GlobalQuest id="85380d05-b791-45d1-82e9-01f0bc930367">
+                    <QuestDescription title="Find out more about the pirates"
+                    description= "Now, the Holy stick is back in your possession. Your new mission is to get some more infos about the pirates. You've got an info about a near mining company
+                    which delivers Hydrogen out of special asteroids. Hydrogen is a very rare ressource on earth and is delivered by a few great mining companys. There is no oil anymore on earth since many years.
+                    Therefore hydrogen became the most important energy source for all humans.
+                    But back to your mission. The mining company has it's own security. Ask some of their security staff if they know more about the pirates... it's actually your only hope to get more infos.
+                    You'll find the mining company at the near planet with the asteroid belt."
+                    failmessage=""
+                    completeMessage=""/>
+                </GlobalQuest>
+                <GlobalQuest id="d8afe2eb-b3b9-4c98-8ed7-cc1a2a8e3734">
+                    <QuestDescription title="Interesting..."
+                    description= "You're very lucky. The first security man has interesting infos about the pirates. He said that they made a few attacks in de last few weeks and they intensified the attacks in the last days...
+                    Shit, they attack one more time. Fight them back!"
+                    failmessage=""
+                    completeMessage=""/>
+                </GlobalQuest>
+            </subquests>
+            <hints>
+                <QuestHint id="2b85f32c-2433-4f1a-bdd4-f24d20c9403c">
+                    <QuestDescription title="Useful to know" description="Pirates like to hide themselves behind asteroids."/>
+                </QuestHint>
+            </hints>
+            <fail-effects>
+            </fail-effects>
+            <complete-effects>
+            </complete-effects>
+        </GlobalQuest>
+    
+          <ParticleSpawner position="0,0,0" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
+          <events>
+            <spawn>
+              <EventTrigger delay=1>
+            <events>
+              <trigger>
+                <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassffplayer name=spawnpoint1 team=0 active=true/>
+              </trigger>
+            </events>
+              </EventTrigger>
+            </spawn>
+          </events>
+          <attached>
+            <QuestEffectBeacon position="0,0,0" times=1>
+            <effects>
+                <AddQuest questId="dbd02b4c-ab7c-46fd-bdaf-fd4c19ac1551" />
+            </effects>
+            <events>
+                <execute>
+                <EventListener event=questbeacon1 />
+                </execute>
+            </events>
+            <attached>
+                <DistanceTrigger name=questbeacon1 position="0,0,0" distance=100 target=DistanceTriggerBeacon targetname=Me/>
+            </attached>
+            </QuestEffectBeacon>
+          </attached>
+        </ParticleSpawner>
+    
+        <SpawnPoint position="600,300,-6000" spawnclass=SpaceShip pawndesign=spaceshipassffplayer name=spawnpoint2 active=false/>
+    
+    
+    
+        <!-- Add second Quest-->
+        <QuestEffectBeacon position="250,-300,-1500" times=1>
+                    <attached>
+                        <Billboard position="0,0,0" scale=3 colour="1.0,1.0,0" material="Examples/Flare" />
+                        <DistanceTrigger name=questbeacon2 targetname=Me position="0,0,0" target=DistanceTriggerBeacon distance=400 />
+                    </attached>
+                    <effects>
+                        <AddQuest questId="3159b4d4-bc86-4190-ba1d-4530668dfe31" />
+                    </effects>
+                    <events>
+                        <execute>
+                            <EventListener event=questbeacon2 />
+                        </execute>
+                    </events>
+                </QuestEffectBeacon>
+    
+        <!-- Hint to first Quest-->
+        <QuestEffectBeacon position="0,0,0" times=1>
+                    <attached>
+                        <DistanceTrigger name=questbeacon3  position="0,0,0" distance=300 target=DistanceTriggerBeacon targetname=Me delay="5" />
+                    </attached>
+                    <effects>
+                        <AddQuestHint hintId="2b85f32c-2433-4f1a-bdd4-f24d20c9403c" />
+                    </effects>
+                    <events>
+                        <execute>
+                            <EventListener event=questbeacon3 />
+                        </execute>
+                    </events>
+                </QuestEffectBeacon>
+    
+    
+        <!--Pirates killed... navi leads you to possible Base stations-->
+        <QuestEffectBeacon position="600,300,-6000" times=1>
+                    <attached>
+                        <Billboard position="0,0,0" scale=3 colour="0,1.0,0" material="Examples/Flare" />
+                        <DistanceTrigger name=questbeacon4  position="0,0,0" distance=200 target=DistanceTriggerBeacon targetname=Me />
+                    </attached>
+    
+                    <effects>
+                        <CompleteQuest questId="3159b4d4-bc86-4190-ba1d-4530668dfe31" />
+                        <AddQuest questId="8d8ed3a6-74a6-4491-9172-26155cff151d" />
+                        <AddQuestHint hintId="965101b3-26ce-4fcf-bc71-17cc2a87d2e9" />
+                    </effects>
+                    <events>
+                        <execute>
+                            <EventListener event=questbeacon4 />
+                        </execute>
+                    </events>
+                </QuestEffectBeacon>
+    
+    
+        <!-- Wrong way 1-->
+        <QuestEffectBeacon position="7600,300,-8000" times=1>
+                    <attached>
+                        <DistanceTrigger name=questbeacon5  position="0,0,0" distance=300 target=DistanceTriggerBeacon targetname=Me />
+                    </attached>
+                    <effects>
+                        <AddQuest questId="9930a598-98bc-4ff8-8cc0-31311a6ccaaa" />
+                    </effects>
+                    <events>
+                        <execute>
+                            <EventListener event=questbeacon5 />
+                        </execute>
+                    </events>
+                </QuestEffectBeacon>
+    
+        <!-- Wrong way 2-->
+        <QuestEffectBeacon position="1600,2300,-10000" times=1>
+                    <attached>
+                        <DistanceTrigger name=questbeacon8  position="0,0,0" distance=300 target=DistanceTriggerBeacon targetname=Me />
+                    </attached>
+                    <effects>
+                        <AddQuest questId="9930a598-98bc-4ff8-8cc0-31311a6ccaab" />
+                    </effects>
+                    <events>
+                        <execute>
+                            <EventListener event=questbeacon8 />
+                        </execute>
+                    </events>
+                </QuestEffectBeacon>
+    
+        <!-- Base found!-->
+        <QuestEffectBeacon position="4600,5300,-11000" times=1>
+                    <attached>
+                        <DistanceTrigger name=questbeacon6  position="0,0,0" distance=600 target=DistanceTriggerBeacon targetname=Me />
+                    </attached>
+                    <effects>
+                        <CompleteQuest questId="8d8ed3a6-74a6-4491-9172-26155cff151d" />
+                        <AddQuest questId="8a62408b-c47b-4e02-bd3d-06bb9ec0b363" />
+                        <CompleteQuest questId="9930a598-98bc-4ff8-8cc0-31311a6ccaaa" />
+                        <CompleteQuest questId="9930a598-98bc-4ff8-8cc0-31311a6ccaab" />
+    
+                    </effects>
+                    <events>
+                        <execute>
+                            <EventListener event=questbeacon6 />
+                        </execute>
+                    </events>
+                </QuestEffectBeacon>
+        <!--Stick found-->
+        <QuestEffectBeacon position="4800,5785,-10725" times=1>
+                    <attached>
+                        <DistanceTrigger name=questbeacon7  position="0,0,0" distance=30 target=DistanceTriggerBeacon targetname=Me />
+                    </attached>
+                    <effects>
+                        <CompleteQuest questId="8a62408b-c47b-4e02-bd3d-06bb9ec0b363" />
+                        <AddQuest questId="85380d05-b791-45d1-82e9-01f0bc930367" />
+    
+                    </effects>
+                    <events>
+                        <execute>
+                            <EventListener event=questbeacon7 />
+                        </execute>
+                    </events>
+                </QuestEffectBeacon>
+    
+    
+        <!--Security Man found-->
+        <QuestEffectBeacon position="4000,4000,-20000" times=1>
+                    <attached>
+                        <Billboard position="0,0,0" scale=3 colour="0,0,1.0" material="Examples/Flare" />
+                        <DistanceTrigger name=questbeacon9 position="0,0,0" distance=500 target=DistanceTriggerBeacon targetname=Me />
+                    </attached>
+                    <effects>
+                        <CompleteQuest questId="85380d05-b791-45d1-82e9-01f0bc930367" />
+                        <AddQuest questId="d8afe2eb-b3b9-4c98-8ed7-cc1a2a8e3734" />
+    
+                    </effects>
+                    <events>
+                        <execute>
+                            <EventListener event=questbeacon9 />
+                        </execute>
+                    </events>
+        </QuestEffectBeacon>
+    
+    <!--Navigation System which shows possiple positions of base-->
+    <EventDispatcher>
                 <targets>
                     <EventTarget target=Navi />
@@ -309,13 +309,13 @@
                 do
             ?>
-		<Billboard position="<?lua print(i*1000/30+600) ?>,<?lua print(i*2000/30+300) ?>,<?lua print(-i*4000/30-6000) ?>" colour="1.0,0,0" scale=1 material="Examples/Flare" name=Navi visible=false/><!--endpos:1600,2300,-10000-->
-		<Billboard position="<?lua print(i*7000/30+600) ?>,<?lua print(i*0/30+300) ?>,<?lua print(-i*2000/30-6000) ?>" colour="0,1.0,0" scale=1 material="Examples/Flare" name=Navi visible=false/><!--endpos:7600,300,-8000-->
-		<Billboard position="<?lua print(i*4000/30+600) ?>,<?lua print(i*5000/30+300) ?>,<?lua print(-i*5000/30-6000) ?>" colour="0,0,1.0" scale=1 material="Examples/Flare" name=Navi visible=false/><!--endpos:4600,5300,-11000-->
+        <Billboard position="<?lua print(i*1000/30+600) ?>,<?lua print(i*2000/30+300) ?>,<?lua print(-i*4000/30-6000) ?>" colour="1.0,0,0" scale=1 material="Examples/Flare" name=Navi visible=false/><!--endpos:1600,2300,-10000-->
+        <Billboard position="<?lua print(i*7000/30+600) ?>,<?lua print(i*0/30+300) ?>,<?lua print(-i*2000/30-6000) ?>" colour="0,1.0,0" scale=1 material="Examples/Flare" name=Navi visible=false/><!--endpos:7600,300,-8000-->
+        <Billboard position="<?lua print(i*4000/30+600) ?>,<?lua print(i*5000/30+300) ?>,<?lua print(-i*5000/30-6000) ?>" colour="0,0,1.0" scale=1 material="Examples/Flare" name=Navi visible=false/><!--endpos:4600,5300,-11000-->
             <?lua
                 end
             ?>
-		
-	<!--Base&Stick spawn*****************************************************************-->	
-	<StaticEntity scale=1 position="4650,5350,-11050" name=base visible=true active=true yaw=60>
+    
+    <!--Base&Stick spawn*****************************************************************-->
+    <StaticEntity scale=1 position="4650,5350,-11050" name=base visible=true active=true yaw=60>
                 <attached>
                     <?lua
@@ -324,37 +324,37 @@
                 </attached>
             </StaticEntity>
-	    
-	<ParticleSpawner position="4650,5350,-11050" source="Orxonox/explosion1" name=base visible=false active=false loop=0/>
-	<Model position="4800,5785,-10725" scale=3 mesh="Rocket.mesh" visible=true active=true name=base />
-	<EventDispatcher>
+    
+    <ParticleSpawner position="4650,5350,-11050" source="Orxonox/explosion1" name=base visible=false active=false loop=0/>
+    <Model position="4800,5785,-10725" scale=3 mesh="Rocket.mesh" visible=true active=true name=base />
+    <EventDispatcher>
                 <targets>
                     <EventTarget target=base />
-		     <EventTarget target=navipirate1 />
-		      <EventTarget target=navipirate2 />
+             <EventTarget target=navipirate1 />
+              <EventTarget target=navipirate2 />
                 </targets>
                 <events>
                     <visibility>
-		  <EventTrigger invert=true>
-		    <events>
-		      <trigger>
-		        <QuestListener questId="dbd02b4c-ab7c-46fd-bdaf-fd4c19ac1551" mode="start" />
-		      </trigger>
-		    </events>
-		  </EventTrigger>
+          <EventTrigger invert=true>
+            <events>
+              <trigger>
+                <QuestListener questId="dbd02b4c-ab7c-46fd-bdaf-fd4c19ac1551" mode="start" />
+              </trigger>
+            </events>
+          </EventTrigger>
                     </visibility>
                     <activity>
-	            <EventTrigger invert=true>
-		    <events>
-		      <trigger>
+                <EventTrigger invert=true>
+            <events>
+              <trigger>
                              <QuestListener questId="dbd02b4c-ab7c-46fd-bdaf-fd4c19ac1551" mode="start" />
-		      </trigger>
-		    </events>
-		  </EventTrigger>
-                    </activity>
-                </events>
-            </EventDispatcher>
-
-	
-	<EventDispatcher>
+              </trigger>
+            </events>
+          </EventTrigger>
+                    </activity>
+                </events>
+            </EventDispatcher>
+
+    
+    <EventDispatcher>
                 <targets>
                     <EventTarget target=base />
@@ -369,9 +369,9 @@
                 </events>
             </EventDispatcher>
-	    
-	<!--Base&Stick spawn********end*****************************************************-->	    
-	
-	<!--Change spawnoint-->
-	<EventDispatcher>
+    
+    <!--Base&Stick spawn********end*****************************************************-->
+    
+    <!--Change spawnoint-->
+    <EventDispatcher>
                 <targets>
                     <EventTarget target=spawnpoint1 />
@@ -379,16 +379,16 @@
                 <events>
                     <activity>
-	            <EventTrigger invert=true>
-		    <events>
-		      <trigger>
+                <EventTrigger invert=true>
+            <events>
+              <trigger>
                              <QuestListener questId="3159b4d4-bc86-4190-ba1d-4530668dfe31" mode="complete" />
-		      </trigger>
-		    </events>
-		  </EventTrigger>
-                    </activity>
-                </events>
-		
-            </EventDispatcher>
-	    	<EventDispatcher>
+              </trigger>
+            </events>
+          </EventTrigger>
+                    </activity>
+                </events>
+    
+            </EventDispatcher>
+            <EventDispatcher>
                 <targets>
                     <EventTarget target=spawnpoint2/>
@@ -400,76 +400,76 @@
                 </events>
             </EventDispatcher>
-	<!--Change spawnoint end-->
-	    
-	<!-- pirates -->
-		<?lua
-		for i = 1,1, 1
-		do
-		?>
-		    <SpaceShip position="<?lua print(math.random()*100)?>,<?lua print(math.random()*100)?>,<?lua print(math.random()*100-2000)?>">
-		      <templates>
-			<Template link=spaceshippirate />
-		      </templates>
-		      <controller>
-			<WaypointPatrolController alertnessradius=1000 active=true team=1>
-			  <waypoints>
-			    <StaticEntity position="0,<?lua print(math.random()*50)?> ,<?lua print(i*50 -2000) ?>" />
-			  </waypoints>
-			</WaypointPatrolController>
-		      </controller>
-		    </SpaceShip>
-		<?lua
-		end
-		?>
-		
-		<?lua
-		for i = 1,2, 1
-		do
-		?>
-		    <SpaceShip position="600,300,-6000">
-		      <templates>
-			<Template link=spaceshippirate />
-		      </templates>
-		      <controller>
-			<WaypointPatrolController alertnessradius=1000 active=true team=1>
-			  <waypoints>
-			    <StaticEntity position="600,300,-6000" />
-			  </waypoints>
-			</WaypointPatrolController>
-		      </controller>
-		    </SpaceShip>
-		<?lua
-		end
-		?>
-		
-	<!-- Pirates at the end of wrong Navi line (get visible when you get near them)-->	
-	 <SpaceShip position="1600,2300,-10000" active=true visible=true name=navipirate1>
-		      <templates>
-			<Template link=spaceshippirate />
-		      </templates>
-		      <controller>
-			<WaypointPatrolController alertnessradius=1000 name=navipirate1 active=true team=1>
-			  <waypoints>
-			    <StaticEntity position="1600,2300,-10000" />
-			  </waypoints>
-			</WaypointPatrolController>
-		      </controller>
-		    </SpaceShip>
-		    
-	<SpaceShip position="7600,300,-8000" active=true visible=true name=navipirate2>
-		      <templates>
-			<Template link=spaceshippirate />
-		      </templates>
-		      <controller>
-			<WaypointPatrolController alertnessradius=1000 name=navipirate2 active=true team=1>
-			  <waypoints>
-			    <StaticEntity position="7600,300,-8000" />
-			  </waypoints>
-			</WaypointPatrolController>
-		      </controller>
-		</SpaceShip>
-		    
-		    
-	<EventDispatcher>
+    <!--Change spawnoint end-->
+    
+    <!-- pirates -->
+        <?lua
+        for i = 1,1, 1
+        do
+        ?>
+            <SpaceShip position="<?lua print(math.random()*100)?>,<?lua print(math.random()*100)?>,<?lua print(math.random()*100-2000)?>">
+              <templates>
+            <Template link=spaceshippirate />
+              </templates>
+              <controller>
+            <WaypointPatrolController alertnessradius=1000 active=true team=1>
+              <waypoints>
+                <StaticEntity position="0,<?lua print(math.random()*50)?> ,<?lua print(i*50 -2000) ?>" />
+              </waypoints>
+            </WaypointPatrolController>
+              </controller>
+            </SpaceShip>
+        <?lua
+        end
+        ?>
+    
+        <?lua
+        for i = 1,2, 1
+        do
+        ?>
+            <SpaceShip position="600,300,-6000">
+              <templates>
+            <Template link=spaceshippirate />
+              </templates>
+              <controller>
+            <WaypointPatrolController alertnessradius=1000 active=true team=1>
+              <waypoints>
+                <StaticEntity position="600,300,-6000" />
+              </waypoints>
+            </WaypointPatrolController>
+              </controller>
+            </SpaceShip>
+        <?lua
+        end
+        ?>
+    
+    <!-- Pirates at the end of wrong Navi line (get visible when you get near them)-->
+     <SpaceShip position="1600,2300,-10000" active=true visible=true name=navipirate1>
+              <templates>
+            <Template link=spaceshippirate />
+              </templates>
+              <controller>
+            <WaypointPatrolController alertnessradius=1000 name=navipirate1 active=true team=1>
+              <waypoints>
+                <StaticEntity position="1600,2300,-10000" />
+              </waypoints>
+            </WaypointPatrolController>
+              </controller>
+            </SpaceShip>
+    
+    <SpaceShip position="7600,300,-8000" active=true visible=true name=navipirate2>
+              <templates>
+            <Template link=spaceshippirate />
+              </templates>
+              <controller>
+            <WaypointPatrolController alertnessradius=1000 name=navipirate2 active=true team=1>
+              <waypoints>
+                <StaticEntity position="7600,300,-8000" />
+              </waypoints>
+            </WaypointPatrolController>
+              </controller>
+        </SpaceShip>
+    
+    
+    <EventDispatcher>
                 <targets>
                     <EventTarget target=navipirate1 />
@@ -484,6 +484,6 @@
                 </events>
             </EventDispatcher>
-	    
-	<EventDispatcher>
+    
+    <EventDispatcher>
                 <targets>
                     <EventTarget target=navipirate2 />
@@ -498,21 +498,21 @@
                 </events>
             </EventDispatcher>
-	<!-- Pirates at the end of wrong Navi line **** end-->
-	    
-	<!--Security man from mining corp.-->
-	<SpaceShip position="4000,4000,-20000">
-		      <templates>
-			<Template link=spaceshipassff/>
-		      </templates>
-		      <controller>
-			<WaypointPatrolController alertnessradius=1000 team=0 active=false>
-			  <waypoints>
-			    <StaticEntity position="4000,4000,-20000" />
-			  </waypoints>
-			</WaypointPatrolController>
-		      </controller>
-	</SpaceShip>
-		
-	<!-- Asteroid field-->
+    <!-- Pirates at the end of wrong Navi line **** end-->
+    
+    <!--Security man from mining corp.-->
+    <SpaceShip position="4000,4000,-20000">
+              <templates>
+            <Template link=spaceshipassff/>
+              </templates>
+              <controller>
+            <WaypointPatrolController alertnessradius=1000 team=0 active=false>
+              <waypoints>
+                <StaticEntity position="4000,4000,-20000" />
+              </waypoints>
+            </WaypointPatrolController>
+              </controller>
+    </SpaceShip>
+    
+    <!-- Asteroid field-->
             <StaticEntity position="-400,2000,-7000">
                 <attached>
@@ -528,36 +528,36 @@
                         end
                     ?>
-		    </attached>
-		</StaticEntity>
-	<!--Planet with asteroid belt-->
-	<Planet mesh="iceplanet.mesh" position="2600,4300,-20000" scale=1000 atmosphere="atmosphere1" atmospheresize=224.0f imagesize=1024.0f/>
-	<StaticEntity position="2600,4300,-20000" collisionType=static>
-	      <collisionShapes>
-	        <SphereCollisionShape radius="1000" />
-	      </collisionShapes>
-	                      <attached>
-				<?lua
-				for i = 1, 100
-				do 
-				k=(math.random() * 2600 -1300)
-				if math.random()<0.5 then
-				l=(1300^2-k^2)^(0.5)
-				else
-				l=-(1300^2-k^2)^(0.5)
-				end
-				?>
-		
-				<MovableEntity position="<?lua print(k) ?>,<?lua print(l) ?>, <?lua print(math.random() * 100) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.abs(math.random() * 30 -10)) ?>">
-
-					<attached>
-					<Model scale="<?lua print(math.random() * 25) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-					</attached>
-				</MovableEntity>
-				<?lua
-				end
-				?>
+            </attached>
+        </StaticEntity>
+    <!--Planet with asteroid belt-->
+    <Planet mesh="iceplanet.mesh" position="2600,4300,-20000" scale=1000 atmosphere="atmosphere1" atmospheresize=224.0f imagesize=1024.0f/>
+    <StaticEntity position="2600,4300,-20000" collisionType=static>
+          <collisionShapes>
+            <SphereCollisionShape radius="1000" />
+          </collisionShapes>
+                          <attached>
+                <?lua
+                for i = 1, 100
+                do
+                k=(math.random() * 2600 -1300)
+                if math.random()<0.5 then
+                l=(1300^2-k^2)^(0.5)
+                else
+                l=-(1300^2-k^2)^(0.5)
+                end
+                ?>
+    
+                <MovableEntity position="<?lua print(k) ?>,<?lua print(l) ?>, <?lua print(math.random() * 100) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.abs(math.random() * 30 -10)) ?>">
+
+                    <attached>
+                    <Model scale="<?lua print(math.random() * 25) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+                    </attached>
+                </MovableEntity>
+                <?lua
+                end
+                ?>
                             </attached>
-	    </StaticEntity>
-	
-	</Scene>
+        </StaticEntity>
+    
+    </Scene>
 </Level>
